#include <stdio.h>
#include <stdlib.h>
#include <roxml.h>

#include "Interface.h"
#include "structures.h"

/*!
* \file Interface.c
* \brief Fichier contenant le code des fonctions d'aquisition des classes.
*/


/*!
 * \fn Skins_GUI* Get_Skins_GUI(char *filename)
 * \brief La fonction renvoie un tableau de skins relatifs  l'interface.
 *
 * \param Un nom de fichier xml.
 * \return Un tableau de Skins_GUI.
 */
Skins_GUI* Get_Skins_GUI(char *filename)
{
    node_t *rootXML, *Interface, *Textures, *Skin;
    int nb_Skins=0, i=0;

    rootXML = roxml_load_doc(filename);
    Interface = roxml_get_chld(rootXML, NULL, 0);
    Textures = roxml_get_chld(Interface, NULL, 0);

    nb_Skins = roxml_get_chld_nb(Textures);

    Skins_GUI* Textures_Interface = NULL;
    Textures_Interface = malloc(nb_Skins * sizeof(Skins_GUI));

    for(i=0; i<nb_Skins; i++)
    {
        char *id_text, *f_default;
        Skin = roxml_get_chld(Textures, NULL, i);

        id_text = roxml_get_content(roxml_get_attr(Skin, "id", 0), NULL, 0, NULL);
        f_default = roxml_get_content(roxml_get_attr(Skin, "f_default", 0), NULL, 0, NULL);

        strcpy(Textures_Interface[i].id, id_text);
        strcpy(Textures_Interface[i].GUI_default, f_default);

        /* Tests *//*
        printf("ID vaut : %s\n",Textures_Interface[i].id);
        printf("Default vaut : %s\n",Textures_Interface[i].GUI_default);*/
        /* ---- */
    }
    return Textures_Interface;
}
